Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1812211 - 4.3.5. to 4.4.0-0.nightly-2020-03-10-042427 never completes. MCO upgrade failing with invalid ControllerConfig
Summary: 4.3.5. to 4.4.0-0.nightly-2020-03-10-042427 never completes. MCO upgrade fai...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Yu Qi Zhang
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1812179
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-10 18:56 UTC by Yu Qi Zhang
Modified: 2021-04-05 17:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1812179
Environment:
Last Closed: 2020-05-04 11:45:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1558 0 None closed Bug 1812211: [release-4.4] manifests/controllerconfig: make infra nullable 2020-09-02 21:07:03 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:46:06 UTC

Comment 4 Michael Nguyen 2020-03-13 21:47:00 UTC
Verified successful update from 4.3.5 to 4.4.0-0.nightly-2020-03-13-073111 with controllerconfig spec.infra=null


$ oc get clusterversion
NAME      VERSION   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.3.5     True        False         45m     Cluster version is 4.3.5
$ oc edit controllerconfig/machine-config-controller
controllerconfig.machineconfiguration.openshift.io/machine-config-controller edited
$ oc get controllerconfig/machine-config-controller -o yaml
apiVersion: machineconfiguration.openshift.io/v1
kind: ControllerConfig
metadata:
  creationTimestamp: "2020-03-13T19:41:32Z"
  generation: 2
  name: machine-config-controller
  resourceVersion: "31856"
  selfLink: /apis/machineconfiguration.openshift.io/v1/controllerconfigs/machine-config-controller
  uid: 5951bcc5-1664-4276-a2c7-b8873fc9f68f
spec:
  additionalTrustBundle: null
  cloudProviderCAData: null
  cloudProviderConfig: ""
  clusterDNSIP: 172.30.0.10
  etcdCAData: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURHRENDQWdDZ0F3SUJBZ0lJSkhRdjY3eWRTd2t3RFFZSktvWklodmNOQVFFTEJRQXdLakVTTUJBR0ExVUUKQ3hNSmIzQmxibk5vYVdaME1SUXdFZ1lEVlFRREV3dGxkR05rTFhOcFoyNWxjakFlRncweU1EQXpNVE14T1RJeApNVFZhRncwek1EQXpNVEV4T1RJeE1UVmFNQ294RWpBUUJnTlZCQXNUQ1c5d1pXNXphR2xtZERFVU1CSUdBMVVFCkF4TUxaWFJqWkMxemFXZHVaWEl3Z2dFaU1BMEdDU3FHU0liM0RRRUJBUVVBQTRJQkR3QXdnZ0VLQW9JQkFRQ3AKcGUraXFmcXdmMlBkUVlGVXBjZjdPK1Z3eTJwSFJDWjVNNVVnMHR2MXdUcGI4allPc0JYeUNWMEhJaGppK2pDWQpaZHNFMzJhYWJLOG5SYXZpMWVpaTVhN1dHcWlNSERMK2YzclRheWV0ckNidmNPYzV6RnZOMnNTdkoxSkRrRnp2Ck10dWtqcUJTUWpSY0t2bEZtaVhYWWRxRnVLdm1qeTVzbDJJUG01c1pndDM3S2c5cUNSaEZNUHlycUV4UzZNNmMKMkErc25zWTY3V1F2aWZsUm1RRnZQT0NyUEtJbWNwazltbk1vdS9ldm5tVmpZWmFJQUtQWktxRHhZaFUrWGdYZgp6eUg3Z0JyMjdObkhDdXRaWGNXaXVYclFwak9HQmJpems1bENXbUxkS094bWRCa3M3U21hY0dQWFhubncrajNaCm1pVUE0VXJMWllpU0ErQjJFbUpiQWdNQkFBR2pRakJBTUE0R0ExVWREd0VCL3dRRUF3SUNwREFQQmdOVkhSTUIKQWY4RUJUQURBUUgvTUIwR0ExVWREZ1FXQkJSbkdUcml5czFFMkF0ejJTUisvVERpUndWdlNqQU5CZ2txaGtpRwo5dzBCQVFzRkFBT0NBUUVBWEt5Z0F6NUtMc09sSlNLejBmUld4ZVNBZWpsMWZabllrUFBtV0hHRGJHbW82ZjJwCmk4dTJrdE0rM2h6QkNIRHVsVmI5amlzNE1qRnBUcTVtc2tKVFIzMW1IcU1BWDgrVDJCak05N1ZiWnNGOUNTNUMKQk9qODhjeUp3WGIxb2dLNjJvNjdrTHhxTk9zb2FTWVZZU0hqdExnU2NrczdiKzlPVFYzcmRNYi9WKzBJN3llegoraE1MQ3k5V2Q2R04yenE3U2hxa0R0RGVBUFNMS2NWcWFFWmswelVIZ2NEbHhyZnhJUkNvNkVQSlBTSDY3WU9JClY4T1BVMXA4WDg4OVowL1J6QW8wYjlyTlgrRnRyWTR6bGs3SW9lbyt3UWRuSW9MUDMreUlubkhqREo5eFN6TEQKUHdhS0lFLzE1b1lhWU9QWmRwdTFBMzkzNmtDQXhqK1orYTNrVEE9PQotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0tCg==
  etcdDiscoveryDomain: mnguyen435.devcluster.openshift.com
  etcdMetricCAData: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURKakNDQWc2Z0F3SUJBZ0lJYloyMEdaYzZnaDR3RFFZSktvWklodmNOQVFFTEJRQXdNVEVTTUJBR0ExVUUKQ3hNSmIzQmxibk5vYVdaME1Sc3dHUVlEVlFRREV4SmxkR05rTFcxbGRISnBZeTF6YVdkdVpYSXdIaGNOTWpBdwpNekV6TVRreU1URTJXaGNOTXpBd016RXhNVGt5TVRFMldqQXhNUkl3RUFZRFZRUUxFd2x2Y0dWdWMyaHBablF4Ckd6QVpCZ05WQkFNVEVtVjBZMlF0YldWMGNtbGpMWE5wWjI1bGNqQ0NBU0l3RFFZSktvWklodmNOQVFFQkJRQUQKZ2dFUEFEQ0NBUW9DZ2dFQkFNUkZQOERxYkMwVlBzSnF4ZXYrZFdBSCtkV1hpZWhPN3d4RXRDY2lwc0NWY2tDRAo5blpJK2tzTjY4YWkvUmlEOEFiWVBxeGxwK0ZYNGpFeE5BQU1MN1FqUWo2bXN3NUZvRlJEZXQ4b0pQR0RiSE81ClIwUGZ1ZXpBY0Zwd0dpSFZTNGVUZDd2cnE5M3FNWW5Cdis4amljbWRDQjNweFQ4YlNDWkgyd3RqQldoeU1uYTAKckZwdkVjaEJhSXN0Q1VUMWk3NzY0RU52U0V6T0tRbk44MWdvMlpFZzBrTGE5cUZWdGxXYWpUYVZuWHhnN1dKaQpOV1dGaFdiWnAzaDBVWFJKd0k1QTVaQjE5eG1hZkNTbUpabENkUEFlRE1DeUVJc3RnbzV1ZEdnVjcvY0JMQUhzCkdKd3BEM2NBWUtWZVR5WTV2ZWwvWndkNnc0UmRiUXJuUHVoNFNwOENBd0VBQWFOQ01FQXdEZ1lEVlIwUEFRSC8KQkFRREFnS2tNQThHQTFVZEV3RUIvd1FGTUFNQkFmOHdIUVlEVlIwT0JCWUVGS09yL2d6WS9Zb2hwdnRERUwrRwpzMzRXMFhPT01BMEdDU3FHU0liM0RRRUJDd1VBQTRJQkFRQWVpNUdDbThEMWtRamdtRGkzWWQ3LzRXM3RsdS9RClJCNXhET2JpeWF1N1BQZWtvdDRkQTUyVGxzZjV6dmhqYTNNdUNkZjlXRE1qam9QQ3RJc0ozQU1heTBxNlMxQW8KeUFrZVc2Vjh1L3pmMGZOY2FrZG9RdVFmS04ycHBzR3A3eUxwQmYycFJHTERjcGxONHZDak9Tc1laZGJEUkhjNQp0QkZxYngyZEk1b24zck96MWx6YzRLVWZwcldLcUtQa3g3MnhnZUJPL2xpZGpqMjhnMVhPem9ZQUlpWXFvU1RzCi83Rnd2S2hwWDZBcXljMWFrTVhhU1NnaDBXTnkzN08xUmF3Q3BjeVFLL1Q5Wk1teXpnZVFnMGhaeklyaWl3TVMKZ2ZEOGJWbll1c2JWZTBwZStHNzIzN3l1Y1hRcVZheGFlcXFVZ2ErcjRwWUVHNm90UXgrV0FnZGsKLS0tLS1FTkQgQ0VSVElGSUNBVEUtLS0tLQo=
  images:
    baremetalRuntimeCfgImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e468469f3f999258af00982ab47bfdf3c9ade0fef1df342cebd2d08881afe9a3
    corednsImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d5a7c3a5346e1b411e27a8e22739e2b0b0f6b1eae61bbebb004cae703d76e63a
    etcdKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:bc97106373ffddb5b7afe2a9010de54098c95545a654c7990b882680528c29e3
    gcpRoutesControllerKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ea5cdeb8588fc8f540db4d1e976a9adc09b283b24a9dd29fa201cd999755c8d5
    haproxyImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:31bde5d258a4b3401ee730d9d87bbb66a1694c45f6cd1423802f10e8ce969b61
    infraImageKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:4674bc6d9907cd548a2e8cc6ba8fa8ec66963c221dbe9dda6bf19df579b9d828
    keepalivedImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:64dd8aa0884ed5a2a594931937f3e09b0f6f35e1569dfd70cbfcda631597ab83
    kubeClientAgentImageKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:016b572b6da4528e8a8aadc89dc52b67f3894b246c060c0d7843b0448aefb644
    mdnsPublisherImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:afcce680870f916d48b1305b7fbc6b2fd71d57d3b8faabfbb4c51dc9f4d251b5
    setupEtcdEnvKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ea5cdeb8588fc8f540db4d1e976a9adc09b283b24a9dd29fa201cd999755c8d5
  kubeAPIServerServingCAData: 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
  osImageURL: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:6d83a4e72ae352600de3957b2c400e1eb88e8efdde9540ca59a900f35e7c44ee
  platform: aws
  proxy: null
  pullSecret:
    name: pull-secret
    namespace: openshift-config
  rootCAData: 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
--snip--
$ oc adm upgrade --force --to-image=registry.svc.ci.openshift.org/ocp/release:4.4.0-0.nightly-2020-03-13-073111
Updating to release image registry.svc.ci.openshift.org/ocp/release:4.4.0-0.nightly-2020-03-13-073111
$ watch oc get clusterversion
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-03-13-073111   True        False         60s     Cluster version is 4.4.0-0.nightly-2020-03-13-073111
$ oc get controllerconfig/machine-config-controller -o yaml
apiVersion: machineconfiguration.openshift.io/v1
kind: ControllerConfig
metadata:
  creationTimestamp: "2020-03-13T19:41:32Z"
  generation: 3
  name: machine-config-controller
  resourceVersion: "50924"
  selfLink: /apis/machineconfiguration.openshift.io/v1/controllerconfigs/machine-config-controller
  uid: 5951bcc5-1664-4276-a2c7-b8873fc9f68f
spec:
  additionalTrustBundle: null
  cloudProviderCAData: null
  cloudProviderConfig: ""
  clusterDNSIP: 172.30.0.10
  etcdCAData: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURHRENDQWdDZ0F3SUJBZ0lJSkhRdjY3eWRTd2t3RFFZSktvWklodmNOQVFFTEJRQXdLakVTTUJBR0ExVUUKQ3hNSmIzQmxibk5vYVdaME1SUXdFZ1lEVlFRREV3dGxkR05rTFhOcFoyNWxjakFlRncweU1EQXpNVE14T1RJeApNVFZhRncwek1EQXpNVEV4T1RJeE1UVmFNQ294RWpBUUJnTlZCQXNUQ1c5d1pXNXphR2xtZERFVU1CSUdBMVVFCkF4TUxaWFJqWkMxemFXZHVaWEl3Z2dFaU1BMEdDU3FHU0liM0RRRUJBUVVBQTRJQkR3QXdnZ0VLQW9JQkFRQ3AKcGUraXFmcXdmMlBkUVlGVXBjZjdPK1Z3eTJwSFJDWjVNNVVnMHR2MXdUcGI4allPc0JYeUNWMEhJaGppK2pDWQpaZHNFMzJhYWJLOG5SYXZpMWVpaTVhN1dHcWlNSERMK2YzclRheWV0ckNidmNPYzV6RnZOMnNTdkoxSkRrRnp2Ck10dWtqcUJTUWpSY0t2bEZtaVhYWWRxRnVLdm1qeTVzbDJJUG01c1pndDM3S2c5cUNSaEZNUHlycUV4UzZNNmMKMkErc25zWTY3V1F2aWZsUm1RRnZQT0NyUEtJbWNwazltbk1vdS9ldm5tVmpZWmFJQUtQWktxRHhZaFUrWGdYZgp6eUg3Z0JyMjdObkhDdXRaWGNXaXVYclFwak9HQmJpems1bENXbUxkS094bWRCa3M3U21hY0dQWFhubncrajNaCm1pVUE0VXJMWllpU0ErQjJFbUpiQWdNQkFBR2pRakJBTUE0R0ExVWREd0VCL3dRRUF3SUNwREFQQmdOVkhSTUIKQWY4RUJUQURBUUgvTUIwR0ExVWREZ1FXQkJSbkdUcml5czFFMkF0ejJTUisvVERpUndWdlNqQU5CZ2txaGtpRwo5dzBCQVFzRkFBT0NBUUVBWEt5Z0F6NUtMc09sSlNLejBmUld4ZVNBZWpsMWZabllrUFBtV0hHRGJHbW82ZjJwCmk4dTJrdE0rM2h6QkNIRHVsVmI5amlzNE1qRnBUcTVtc2tKVFIzMW1IcU1BWDgrVDJCak05N1ZiWnNGOUNTNUMKQk9qODhjeUp3WGIxb2dLNjJvNjdrTHhxTk9zb2FTWVZZU0hqdExnU2NrczdiKzlPVFYzcmRNYi9WKzBJN3llegoraE1MQ3k5V2Q2R04yenE3U2hxa0R0RGVBUFNMS2NWcWFFWmswelVIZ2NEbHhyZnhJUkNvNkVQSlBTSDY3WU9JClY4T1BVMXA4WDg4OVowL1J6QW8wYjlyTlgrRnRyWTR6bGs3SW9lbyt3UWRuSW9MUDMreUlubkhqREo5eFN6TEQKUHdhS0lFLzE1b1lhWU9QWmRwdTFBMzkzNmtDQXhqK1orYTNrVEE9PQotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0tCg==
  etcdDiscoveryDomain: mnguyen435.devcluster.openshift.com
  etcdMetricCAData: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURKakNDQWc2Z0F3SUJBZ0lJYloyMEdaYzZnaDR3RFFZSktvWklodmNOQVFFTEJRQXdNVEVTTUJBR0ExVUUKQ3hNSmIzQmxibk5vYVdaME1Sc3dHUVlEVlFRREV4SmxkR05rTFcxbGRISnBZeTF6YVdkdVpYSXdIaGNOTWpBdwpNekV6TVRreU1URTJXaGNOTXpBd016RXhNVGt5TVRFMldqQXhNUkl3RUFZRFZRUUxFd2x2Y0dWdWMyaHBablF4Ckd6QVpCZ05WQkFNVEVtVjBZMlF0YldWMGNtbGpMWE5wWjI1bGNqQ0NBU0l3RFFZSktvWklodmNOQVFFQkJRQUQKZ2dFUEFEQ0NBUW9DZ2dFQkFNUkZQOERxYkMwVlBzSnF4ZXYrZFdBSCtkV1hpZWhPN3d4RXRDY2lwc0NWY2tDRAo5blpJK2tzTjY4YWkvUmlEOEFiWVBxeGxwK0ZYNGpFeE5BQU1MN1FqUWo2bXN3NUZvRlJEZXQ4b0pQR0RiSE81ClIwUGZ1ZXpBY0Zwd0dpSFZTNGVUZDd2cnE5M3FNWW5Cdis4amljbWRDQjNweFQ4YlNDWkgyd3RqQldoeU1uYTAKckZwdkVjaEJhSXN0Q1VUMWk3NzY0RU52U0V6T0tRbk44MWdvMlpFZzBrTGE5cUZWdGxXYWpUYVZuWHhnN1dKaQpOV1dGaFdiWnAzaDBVWFJKd0k1QTVaQjE5eG1hZkNTbUpabENkUEFlRE1DeUVJc3RnbzV1ZEdnVjcvY0JMQUhzCkdKd3BEM2NBWUtWZVR5WTV2ZWwvWndkNnc0UmRiUXJuUHVoNFNwOENBd0VBQWFOQ01FQXdEZ1lEVlIwUEFRSC8KQkFRREFnS2tNQThHQTFVZEV3RUIvd1FGTUFNQkFmOHdIUVlEVlIwT0JCWUVGS09yL2d6WS9Zb2hwdnRERUwrRwpzMzRXMFhPT01BMEdDU3FHU0liM0RRRUJDd1VBQTRJQkFRQWVpNUdDbThEMWtRamdtRGkzWWQ3LzRXM3RsdS9RClJCNXhET2JpeWF1N1BQZWtvdDRkQTUyVGxzZjV6dmhqYTNNdUNkZjlXRE1qam9QQ3RJc0ozQU1heTBxNlMxQW8KeUFrZVc2Vjh1L3pmMGZOY2FrZG9RdVFmS04ycHBzR3A3eUxwQmYycFJHTERjcGxONHZDak9Tc1laZGJEUkhjNQp0QkZxYngyZEk1b24zck96MWx6YzRLVWZwcldLcUtQa3g3MnhnZUJPL2xpZGpqMjhnMVhPem9ZQUlpWXFvU1RzCi83Rnd2S2hwWDZBcXljMWFrTVhhU1NnaDBXTnkzN08xUmF3Q3BjeVFLL1Q5Wk1teXpnZVFnMGhaeklyaWl3TVMKZ2ZEOGJWbll1c2JWZTBwZStHNzIzN3l1Y1hRcVZheGFlcXFVZ2ErcjRwWUVHNm90UXgrV0FnZGsKLS0tLS1FTkQgQ0VSVElGSUNBVEUtLS0tLQo=
  images:
    baremetalRuntimeCfgImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:72f789a607f6808ea76f2f5ef62afadb6ac7f095f27191cbad589a03eff1e4f6
    clusterEtcdOperatorImageKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:935dd38c40a87290df34c03374d790a58a197dc6a93a5bd753c6c12405b0198f
    corednsImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:0ed18e41be35f931c4b2b9f144128c12bb14f276f83f92c3b76ade6084cdbe0a
    etcdKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3826f672aacf734fafbdc81165dd9c81a3c9c1e89ab6f75477a83569b0538a0e
    gcpRoutesControllerKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:587acf64387f5bd5cb5cfc7e4fb529f30f9bd3eb5a9752ea9647eafd3438808b
    haproxyImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:7ab3291caa403f73be1dcc90bfbc2a61ffbedf4f36d301c20be37cbeb086c1c8
    infraImageKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2f568af84b41a9340b2915a5729b47502fc79944927e70e17c0a039817737122
    keepalivedImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:099eb5bc7713f16e2d5e4636d594d71acbf2aff6d04d96b43f619541b34d6c33
    kubeClientAgentImageKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:5934dcf2401825da48841c8acb9c959234188fb497005c523d7d7ed26be1e182
    mdnsPublisherImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b3b861b0c04a395ed42dade1dec34edd4c6ecee94eb7ffc4e85819b7705e23a1
    setupEtcdEnvKey: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:587acf64387f5bd5cb5cfc7e4fb529f30f9bd3eb5a9752ea9647eafd3438808b
  infra: null
  kubeAPIServerServingCAData:
  --snip--

Comment 6 errata-xmlrpc 2020-05-04 11:45:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581

Comment 7 W. Trevor King 2021-04-05 17:46:47 UTC
Removing UpgradeBlocker from this older bug, to remove it from the suspect queue described in [1].  If you feel like this bug still needs to be a suspect, please add keyword again.

[1]: https://github.com/openshift/enhancements/pull/475


Note You need to log in before you can comment on or make changes to this bug.